"""
This file defines palettes used for EDA.
"""
from bokeh.palettes import Category10, Category20, Greys256, Pastel1, viridis

BRG = ["#1f78b4", "#d62728", "#2ca02c"]
CATEGORY10 = Category10[10]
CATEGORY20 = Category20[20]
GREYS256 = Greys256
PASTEL1 = Pastel1[9]
VIRIDIS = viridis(256)
RDBU = [
    "#053061",
    "#063263",
    "#073466",
    "#083669",
    "#09386c",
    "#0a3a6f",
    "#0b3c72",
    "#0c3e75",
    "#0d4078",
    "#0e437b",
    "#0f457e",
    "#114781",
    "#124984",
    "#134b87",
    "#144d8a",
    "#154f8d",
    "#165190",
    "#175493",
    "#185695",
    "#195898",
    "#1a5a9b",
    "#1c5c9e",
    "#1d5ea1",
    "#1e60a4",
    "#1f62a7",
    "#2064aa",
    "#2166ac",
    "#2368ad",
    "#246aae",
    "#256caf",
    "#276db0",
    "#286fb0",
    "#2971b1",
    "#2b73b2",
    "#2c75b3",
    "#2d76b4",
    "#2f78b5",
    "#307ab6",
    "#317cb7",
    "#337db8",
    "#347fb9",
    "#3581b9",
    "#3783ba",
    "#3884bb",
    "#3986bc",
    "#3b88bd",
    "#3c8abe",
    "#3d8bbf",
    "#3f8dc0",
    "#408fc1",
    "#4191c2",
    "#4393c3",
    "#4694c4",
    "#4996c5",
    "#4c98c6",
    "#4f9ac7",
    "#529cc8",
    "#559ec9",
    "#58a0ca",
    "#5ba2cb",
    "#5ea4cc",
    "#61a6cd",
    "#65a8ce",
    "#68aacf",
    "#6bacd0",
    "#6eaed1",
    "#71b0d2",
    "#74b2d3",
    "#77b4d5",
    "#7ab6d6",
    "#7db8d7",
    "#80bad8",
    "#84bcd9",
    "#87beda",
    "#8ac0db",
    "#8dc2dc",
    "#90c4dd",
    "#93c5de",
    "#95c6df",
    "#98c8df",
    "#9ac9e0",
    "#9dcae1",
    "#9fcbe1",
    "#a2cde2",
    "#a4cee3",
    "#a7cfe4",
    "#a9d0e4",
    "#abd2e5",
    "#aed3e6",
    "#b0d4e6",
    "#b3d5e7",
    "#b5d7e8",
    "#b8d8e8",
    "#bad9e9",
    "#bddaea",
    "#bfdceb",
    "#c2ddeb",
    "#c4deec",
    "#c7dfed",
    "#c9e1ed",
    "#cce2ee",
    "#cee3ef",
    "#d1e5f0",
    "#d2e5f0",
    "#d3e6f0",
    "#d5e7f0",
    "#d6e7f1",
    "#d8e8f1",
    "#d9e9f1",
    "#dbe9f1",
    "#dceaf2",
    "#deebf2",
    "#dfecf2",
    "#e1ecf3",
    "#e2edf3",
    "#e4eef3",
    "#e5eef3",
    "#e7eff4",
    "#e8f0f4",
    "#eaf1f4",
    "#ebf1f4",
    "#edf2f5",
    "#eef3f5",
    "#f0f3f5",
    "#f1f4f6",
    "#f3f5f6",
    "#f4f5f6",
    "#f6f6f6",
    "#f7f6f6",
    "#f7f5f4",
    "#f7f4f2",
    "#f7f3f0",
    "#f8f2ee",
    "#f8f0ec",
    "#f8efea",
    "#f8eee8",
    "#f9ede7",
    "#f9ece5",
    "#f9ebe3",
    "#f9eae1",
    "#f9e9df",
    "#fae8dd",
    "#fae7db",
    "#fae5d9",
    "#fae4d7",
    "#fbe3d6",
    "#fbe2d4",
    "#fbe1d2",
    "#fbe0d0",
    "#fcdfce",
    "#fcdecc",
    "#fcddca",
    "#fcdcc8",
    "#fddbc7",
    "#fcd8c4",
    "#fcd6c1",
    "#fbd4be",
    "#fbd2bc",
    "#fbd0b9",
    "#faceb6",
    "#faccb4",
    "#facab1",
    "#f9c7ae",
    "#f9c5ab",
    "#f9c3a9",
    "#f8c1a6",
    "#f8bfa3",
    "#f8bda1",
    "#f7bb9e",
    "#f7b99b",
    "#f7b698",
    "#f6b496",
    "#f6b293",
    "#f5b090",
    "#f5ae8e",
    "#f5ac8b",
    "#f4aa88",
    "#f4a886",
    "#f4a683",
    "#f3a380",
    "#f2a07e",
    "#f19e7c",
    "#ef9b7a",
    "#ee9878",
    "#ed9676",
    "#ec9374",
    "#eb9072",
    "#ea8d70",
    "#e88b6e",
    "#e7886c",
    "#e6856a",
    "#e58368",
    "#e48065",
    "#e27d63",
    "#e17b61",
    "#e0785f",
    "#df755d",
    "#de725b",
    "#dd7059",
    "#db6d57",
    "#da6a55",
    "#d96853",
    "#d86551",
    "#d7624f",
    "#d6604d",
    "#d45d4b",
    "#d35a4a",
    "#d15749",
    "#d05447",
    "#ce5146",
    "#cd4f44",
    "#cc4c43",
    "#ca4942",
    "#c94641",
    "#c7433f",
    "#c6403e",
    "#c53e3c",
    "#c33b3b",
    "#c2383a",
    "#c03538",
    "#bf3237",
    "#be3036",
    "#bc2d34",
    "#bb2a33",
    "#b92732",
    "#b82431",
    "#b6212f",
    "#b51f2e",
    "#b41c2d",
    "#b2192b",
    "#b0172a",
    "#ad162a",
    "#aa1529",
    "#a71429",
    "#a41328",
    "#a11228",
    "#9e1127",
    "#9b1027",
    "#991027",
    "#960f26",
    "#930e26",
    "#900d25",
    "#8d0c25",
    "#8a0b24",
    "#870a24",
    "#840923",
    "#810823",
    "#7e0722",
    "#7b0622",
    "#780521",
    "#750421",
    "#720320",
    "#6f0220",
    "#6c011f",
    "#69001f",
    "#67001f",
]
YlGnBu = [
    "#ffffd9",
    "#feffd8",
    "#feffd6",
    "#fdfed5",
    "#fdfed4",
    "#fcfed3",
    "#fcfed2",
    "#fbfdd0",
    "#fafdcf",
    "#fafdce",
    "#f9fdcd",
    "#f9fdcb",
    "#f8fcca",
    "#f7fcc9",
    "#f7fcc8",
    "#f6fcc7",
    "#f6fbc6",
    "#f5fbc5",
    "#f4fbc4",
    "#f4fbc3",
    "#f3fac2",
    "#f2fac1",
    "#f1fac0",
    "#f1f9bf",
    "#f0f9be",
    "#eff9bd",
    "#eff9bc",
    "#eef8bb",
    "#edf8bb",
    "#ecf8ba",
    "#ebf7b9",
    "#eaf7b9",
    "#eaf7b8",
    "#e9f6b8",
    "#e8f6b7",
    "#e7f6b7",
    "#e6f5b6",
    "#e5f5b6",
    "#e4f4b5",
    "#e3f4b5",
    "#e2f4b5",
    "#e1f3b4",
    "#e0f3b4",
    "#dff2b4",
    "#ddf2b4",
    "#dcf1b4",
    "#dbf1b4",
    "#daf0b4",
    "#d9f0b3",
    "#d7efb3",
    "#d6efb3",
    "#d5eeb3",
    "#d3eeb3",
    "#d2edb3",
    "#d1edb4",
    "#cfecb4",
    "#ceecb4",
    "#ccebb4",
    "#cbebb4",
    "#c9eab4",
    "#c8e9b4",
    "#c6e9b4",
    "#c4e8b4",
    "#c3e7b5",
    "#c1e7b5",
    "#bfe6b5",
    "#bde5b5",
    "#bce5b5",
    "#bae4b5",
    "#b8e3b6",
    "#b6e2b6",
    "#b4e2b6",
    "#b2e1b6",
    "#b0e0b6",
    "#aedfb6",
    "#acdfb7",
    "#aadeb7",
    "#a8ddb7",
    "#a6dcb7",
    "#a4dbb7",
    "#a2dbb8",
    "#a0dab8",
    "#9ed9b8",
    "#9cd8b8",
    "#99d7b9",
    "#97d7b9",
    "#95d6b9",
    "#93d5b9",
    "#91d4b9",
    "#8fd3ba",
    "#8dd2ba",
    "#8ad2ba",
    "#88d1ba",
    "#86d0bb",
    "#84cfbb",
    "#82cebb",
    "#80cebb",
    "#7ecdbc",
    "#7cccbc",
    "#7acbbc",
    "#78cabc",
    "#76cabd",
    "#73c9bd",
    "#71c8bd",
    "#6fc7bd",
    "#6dc6be",
    "#6bc6be",
    "#6ac5be",
    "#68c4be",
    "#66c3bf",
    "#64c3bf",
    "#62c2bf",
    "#60c1bf",
    "#5ec0c0",
    "#5cbfc0",
    "#5abfc0",
    "#59bec0",
    "#57bdc0",
    "#55bcc1",
    "#53bbc1",
    "#52bac1",
    "#50bac1",
    "#4eb9c1",
    "#4db8c1",
    "#4bb7c1",
    "#49b6c2",
    "#48b5c2",
    "#46b4c2",
    "#45b3c2",
    "#43b2c2",
    "#42b1c2",
    "#40b0c2",
    "#3fafc2",
    "#3daec2",
    "#3cadc2",
    "#3bacc2",
    "#39abc2",
    "#38aac2",
    "#37a9c2",
    "#35a8c2",
    "#34a7c2",
    "#33a6c2",
    "#32a5c2",
    "#31a3c1",
    "#30a2c1",
    "#2fa1c1",
    "#2ea0c1",
    "#2d9fc1",
    "#2c9dc0",
    "#2b9cc0",
    "#2a9bc0",
    "#299ac0",
    "#2898bf",
    "#2897bf",
    "#2796bf",
    "#2695be",
    "#2693be",
    "#2592be",
    "#2591bd",
    "#248fbd",
    "#248ebc",
    "#238cbc",
    "#238bbb",
    "#228abb",
    "#2288ba",
    "#2287ba",
    "#2185b9",
    "#2184b9",
    "#2182b8",
    "#2181b8",
    "#217fb7",
    "#217eb6",
    "#207cb6",
    "#207bb5",
    "#2079b5",
    "#2078b4",
    "#2076b3",
    "#2075b3",
    "#2073b2",
    "#2072b1",
    "#2070b1",
    "#216fb0",
    "#216daf",
    "#216cae",
    "#216aae",
    "#2169ad",
    "#2167ac",
    "#2166ac",
    "#2164ab",
    "#2163aa",
    "#2261aa",
    "#2260a9",
    "#225ea8",
    "#225da7",
    "#225ca7",
    "#225aa6",
    "#2259a5",
    "#2257a5",
    "#2256a4",
    "#2354a3",
    "#2353a3",
    "#2352a2",
    "#2350a1",
    "#234fa0",
    "#234ea0",
    "#234c9f",
    "#234b9e",
    "#234a9d",
    "#23499d",
    "#23479c",
    "#23469b",
    "#23459a",
    "#224499",
    "#224298",
    "#224197",
    "#224096",
    "#223f95",
    "#223e94",
    "#213d93",
    "#213c92",
    "#213a91",
    "#203990",
    "#20388f",
    "#20378d",
    "#1f368c",
    "#1f358b",
    "#1e348a",
    "#1e3388",
    "#1d3287",
    "#1d3185",
    "#1c3184",
    "#1c3082",
    "#1b2f81",
    "#1a2e7f",
    "#1a2d7e",
    "#192c7c",
    "#182b7a",
    "#172b79",
    "#172a77",
    "#162975",
    "#152874",
    "#142772",
    "#132770",
    "#13266e",
    "#12256c",
    "#11246b",
    "#102469",
    "#0f2367",
    "#0e2265",
    "#0d2163",
    "#0d2161",
    "#0c2060",
    "#0b1f5e",
    "#0a1e5c",
    "#091e5a",
    "#081d58",
]
